From 7082067186909fa4bbece010dafbb25a0b9f7e44 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Dec 07 2020 19:16:15 +0000
Subject: [PATCH 1670/2232] Include <memory> for CxxVector's unique_ptr shims


Fixes #548.

---

diff --git a/gen/src/write.rs b/gen/src/write.rs
index 419e46c..fb1a7f3 100644
--- a/gen/src/write.rs
+++ b/gen/src/write.rs
@@ -1671,6 +1671,7 @@ fn write_cxx_vector(out: &mut OutFile, element: &ResolvableName) {
     writeln!(out, "  return &s[pos];");
     writeln!(out, "}}");
 
+    out.include.memory = true;
     write_unique_ptr_common(out, UniquePtr::CxxVector(element));
 
     writeln!(out, "#endif // CXXBRIDGE1_VECTOR_{}", instance);

